net.dontdrinkandroot.utils.oldprogressmonitor

## Interface ProgressMonitor

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractProgressMonitor, ConsoleMonitor, LogMonitor, SimpleMonitor, SingleLineConsoleMonitor

Deprecated.
Use `ProgressMonitor` instead.

    @Deprecated
    public interface ProgressMonitor
    extends Serializable

A `ProgressMonitor` tracks the current progress of a longer lasting task.

### Method Summary

Methods
`String` `getMessage()` Deprecated. Get the current progress message.
`Integer` `getProgress()` Deprecated. Retrieve the current progress percentage.
`ProgressStatus` `getProgressStatus()` Deprecated. Get the current progress status.
`int` `getRangeEnd()` Deprecated. Get the upper bound of the current range.
`int` `getRangeStart()` Deprecated. Get the lower bound of the current range.
`boolean` `isDone()` Deprecated. Flag to denote that the task has been done.
`void` `setDone(boolean done)` Deprecated.
`void` `setMessage(String msg)` Deprecated. Set the current progress message.
`void` `setProgress(int percent)` Deprecated. Set the current progress percentage.
`void` `setRange(int start, int end)` Deprecated. Specify which range we are currently working on.

### Method Detail

#### getProgress

    Integer getProgress()

Deprecated.
Retrieve the current progress percentage.

#### setProgress

    void setProgress(int percent)

Deprecated.
Set the current progress percentage.

#### getMessage

    String getMessage()

Deprecated.
Get the current progress message.

#### setMessage

    void setMessage(String msg)

Deprecated.
Set the current progress message.

#### setRange

    void setRange(int start,
                int end)

Deprecated.
Specify which range we are currently working on. This can be useful if a `ProgressMonitor` is shared among a larger set of tasks so each subtask can operate on a specific range. For example if the current range if from 0 to 50 and the progress is set to 50 the overall progress that can be retrieved by getProgress is 25.

Parameters:
  `start` - The lower bound of the range.
  `end` - The upper bound of the range.

#### getRangeStart

    int getRangeStart()

Deprecated.
Get the lower bound of the current range.

#### getRangeEnd

    int getRangeEnd()

Deprecated.
Get the upper bound of the current range.

#### getProgressStatus

    ProgressStatus getProgressStatus()

Deprecated.
Get the current progress status.

#### isDone

    boolean isDone()

Deprecated.
Flag to denote that the task has been done.

#### setDone

    void setDone(boolean done)

Deprecated.